open import general-notation
open import natural-numbers-type

data Vector (A : Type) : ℕ → Type where
  [] : Vector A 0
  _::_ : {n : ℕ} → Vector A n → Vector A (suc n)
  
infixr 10 _::_

-- Vector-elim {X : Type}
--   → {A : (n : ℕ) → Vector X n → Type}
--   → A 0 []
--   → (k : ℕ) (vk : Vector X k) (vk' : Vector X (suc k)) → A k vk → A (S k) vk'
