open import general-notation

-- Empty type means no constructors.
-- It is impossible build a value of type 𝟘.
-- Coq analogue could be False type.
data 𝟘 : Type where


¬_ : Type → Type
¬ A = A → 𝟘

infix 1000 ¬_

-- Elimination principle
-- Propery A holds for all values of type 𝟘
-- kinda like forall x:𝟘, A x in coq
𝟘-elim : {A : 𝟘 → Type} (x : 𝟘) → A x
𝟘-elim ()
-- no pattern. An empty list of equations
-- vacuous truth
       
