Inductive othergeektype : Set :=
| GB	(* Geek of Business *)
| GC	(* Geek of Classics *)
| GCA	(* Geek of Commercial Arts *)
| GCM	(* Geek of Computer Management *)
| GCS	(* Geek of Computer Science *)
| GCC	(* Geek of Communications *)
| GE	(* Geek of Engineering *)
| GED	(* Geek of Education *)
| GFA	(* Geek of Fine Arts *)
| GG	(* Geek of Government *)
| GH	(* Geek of Humanities *)
| GIT	(* Geek of Information Technology *)
| GJ	(* Geek of Jurisprudence (Law) *)
| GLS	(* Geek of Library Science *)
| GL	(* Geek of Literature *)
| GMC	(* Geek of Mass Communications *)
| GM	(* Geek of Math *)
| GMD	(* Geek of Medicine *)
| GMU	(* Geek of Music *)
| GPA	(* Geek of Performing Arts *)
| GP	(* Geek of Philosophy *)
| GS	(* Geek of Science (Physics, Chemistry, Biology, etc.) *)
| GSS	(* Geek of Social Science (Psychology, Sociology, etc.) *)
| GTW	(* Geek of Technical Writing*)
| GO	(* Geek of Other. Some types of geeks deviate from the normal geek activities. This is encouraged as true geeks come from all walks of life. *)
| GU	(* Geek of 'Undecided'. This is a popular vocation with incoming freshmen.*)
| GNo	(* Geek of no qualifications. A rather miserable existence, you would think.*).

Inductive geektype : Set :=
| GAT	(* Geek of All Trades*)
| Gother : othergeektype -> list othergeektype -> geektype (* Other geek types *).
(* GAT means no other can show up *)

Inductive pgp : Set :=
| PGP4   (* I am Philip Zimmerman  *)
| PGP3   (* I don't send or answer mail that is not encrypted, or at the very least signed. If you are reading this without decrypting it first, something is wrong. IT DIDN'T COME FROM ME!  *)
| PGP2   (* I have the most recent version and use it regularly  *)
| PGP1   (* "Finger me for my public key"  *)
| PGP0   (* I've used it, but stopped long ago.  *)
| PGP1'  (* I don't have anything to hide.  *)
| PGP2'  (* I feel that the glory of the Internet is in the anarchic, trusting environment that so nurtures the exchange of information. Encryption just bogs that down.  *)
| PGP3'  (* If you support encryption on the Internet, you must be a drug dealer or terrorist or something like that.  *)
| PGP4'  (* Oh, here is something you all can use that is better (insert Clipper here).  *).

Inductive education : Set :=
| e5    (* I am Stephen Hawking  *)
| e4    (* Managed to get my Ph.D.  *)
| e3    (* Got a Masters degree  *)
| e2    (* Got a Bachelors degree  *)
| e1    (* Got an Associates degree  *)
| e0    (* Finished High School  *)
| e1'   (* Haven't finished High School  *)
| e2'   (* Haven't even entered High School  *)
| estar (* I learned everything there is to know about life from the "Hitchhiker's Trilogy" *).
