Require Import Streams.

Print Stream.

CoFixpoint incStream (n:nat):Stream nat :=
  Cons n (incStream (S n)).

Definition natseq : Stream nat :=
  let 
  cofix natseq' (n:nat) : Stream nat :=
    Cons n (natseq' (S n))
  in
    natseq' 0.

Compute Streams.hd (Streams.tl (incStream 1)).
