Print Nat.add.

Fixpoint add (n m:nat):nat :=
  match n with
  | 0 => m
  | S n' => S (add n' m)
  end.
Print add.

(* Nat *)
Inductive op (V:Type) : Type :=
| Abs: (V -> nat) -> op V
| Var: V -> op V
| Inc:  -> op V
| Assign: op -> op V
| Gt: (V -> nat) -> op V.
Arguments Abs {V}.
Arguments Var {V}.
Arguments Gt {V}.
Arguments Inc {V}.
Arguments Assign {V}.


Check Gt (fun x => 3).
