


Require Import OrderedType.
Module Type Sets.
  (* A module type named [Sets].
     https://coq.inria.fr/refman/language/core/modules.html#coq:cmd.Module-Type
   *)

  Declare Module K: OrderedType.
  (* [OrderedType] is a module type *)

  Parameter A: Type.

  Parameter In: K.t -> A -> Prop.
  (* Check if an element is in a value of an ordered type. *)

  Parameter insert: K.t -> A -> K.t.
