Section socrates.
  Variable Man : Set.
  Variable Mortal : Man -> Prop.

  (* Socrates is a Man *)
  Axiom socrates : Man.

  (* All men are mortal *)
  Axiom menMortal : forall m:Man, Mortal m.

  Theorem socratesMortal : Mortal socrates.
  Proof.
    apply (menMortal socrates).
  Qed.
End socrates.
