"""
Find all links (anchor tags) in an html snippet
"""

# https://docs.python.org/3/library/html.parser.html

from html.parser import HTMLParser

class MyHTMLParser(HTMLParser):
    def handle_starttag(self, tag, attrs):
        if tag == "a":
            for attr in attrs:
                if attr[0] == "href":
                    print(attr[1])

parser = MyHTMLParser()

with open("../build/html/index.html") as fin:
    parser.feed(fin.read())

# with MyHTMLParser as parser:
#     parser.feed('<html><head><title>Test</title></head>'
#             '<body><h1>Parse <a href="hi">me!</a></h1></body></html>')
