library ieee;
use ieee.std_logic_1164.all;

entity comparator_e is
  port(
    a : in  std_logic_vector(2 downto 0);
    b : in  std_logic_vector(2 downto 0);
    o : out std_logic_vector(1 downto 0)
 );
end entity comparator_e;

architecture comparator_a of comparator_e is
begin
  process(a, b)
  begin
    if a < b then
      o <= "01";
    elsif a > b then
      o <= "10";
    else
      o <= "00";
    end if;
  end process;
end architecture comparator_a;
