library ieee;
use ieee.std_logic_1164.all;

entity testbench is
end entity testbench;

architecture behavioral of testbench is
  signal a, b : std_logic;
  signal sel  : std_logic;
  signal o    : std_logic;
begin
  uut: entity work.alu port map(
    a, b, sel, o
  );

  process
  begin
    a <= '1';
    b <= '1';
    sel <= '0';
    wait for 10 ns;
    assert o = '1';

    sel <= '1';
    wait for 10 ns;
    assert o = '0';

    wait;
  end process;
end architecture;
