library ieee;
use ieee.std_logic_1164.all;
use work.toppack.all;

entity recinps_tb is
end recinps_tb;

architecture behavioral of recinps_tb is
  signal a : rec_type;
  signal q : std_logic;
begin
  uut: entity work.recinps port map(
    a, q
  );

  process
    type patt_type is record
      a : rec_type;
      o : std_logic;
    end record;

    type patt_array is array (natural range <>) of patt_type;
    constant patterns : patt_array := (
    -- a.vec  a.bt    q
      (("00",  '1'),  '0'),
      (("10",  '1'),  '0')
    );
  begin
    report "hi..";
    for i in patterns'range loop
      a <= patterns(i).a;
      wait for 10 ns;
      assert q = patterns(i).o
        report "Failed!"
        severity error;
    end loop;
    wait;
  end process;
end architecture behavioral;
