module ListState where
  
import Clash.Prelude

tf
  :: (KnownNat n, Ord a, Num a)
  => ()
  -> Vec (n+1) a
  -> ((), Bool)
tf s i =
  if sum i > 10 then ((), True)
  else ((), True)

tfun
  :: SystemClockResetEnable
  => Signal System (Vec 2 Int)
  -> Signal System Bool
tfun = mealy tf ()
          
topEntity
  :: Clock System
  -> Reset System
  -> Enable System
  -> Signal System (Vec 2 Int)
  -> Signal System Bool
topEntity = exposeClockResetEnable tfun
