From mathcomp Require Import all_ssreflect all_algebra.

Lemma sum_odd_3: \sum_(0 <= i < 3.*2 | odd i) i = 3^2.
Proof.  by rewrite unlock /=. Qed.


Lemma sum_nat_const_I3 n : \sum_(i in 'I_3) n = #|'I_3| * n.
Proof.
  rewrite big_const.
  rewrite iter_addn_0.
  by rewrite mulnC.
Qed.
