library ieee;
use ieee.std_logic_1164.all;

entity comparator_tb_e is
end entity comparator_tb_e;

architecture comparator_tb_a of comparator_tb_e is
  signal t_a : std_logic_vector(2 downto 0);
  signal t_b : std_logic_vector(2 downto 0);
  signal t_o : std_logic_vector(1 downto 0);
begin
  uut : entity work.comparator_e port map(
    t_a, t_b, t_o
  );
  process
  begin
    t_a <= "100";
    t_b <= "010";
    wait for 1 ns;
    assert t_o = "10"
      report "Test failed!"
      severity error;

    t_a <= "010";
    t_b <= "100";
    wait for 1 ns;
    assert t_o = "01"
      report "Test failed!"
      severity error;

    t_a <= "010";
    t_b <= "010";
    wait for 1 ns;
    assert t_o = "00"
      report "Test failed!"
      severity error;
    wait;
  end process;
end architecture comparator_tb_a;
